Page MenuHomeFreeBSD

ixgbe(4): Fix enabling/disabling and reconfiguration of queues
ClosedPublic

Authored by krzysztof.galazka_intel.com on Jul 1 2019, 5:21 PM.

Details

Summary
  • Wrong order of casting and bit shift caused that enabling and disabling queues didn't work properly for queues number larger than 32. Use literals with right suffix instead.
  • TX ring tail address was not updated during reinitiailzation of TX structures. It could block sending traffic.
  • Also remove unused variables 'eims' and 'active_queues'.
Test Plan

Respectfully requesting our Validation Team to perform a test pass before committing.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Tests were successfully passed for D20826 patch.

This revision is now accepted and ready to land.Jul 10 2019, 2:10 PM
erj accepted this revision.Jul 23 2019, 6:13 PM
This revision was automatically updated to reflect the committed changes.